> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update list

> Used to update an existing list. Check out the list create method to see the available parameters. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists.

## OpenAPI

````json POST /update/list
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/update/list": {
      "post": {
        "summary": "Update list",
        "description": "Used to update an existing list. Check out the list create method to see the available parameters. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists.",
        "operationId": "list-update",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "id"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "id": {
                    "type": "integer",
                    "format": "int32",
                    "description": "ID of the list"
                  },
                  "title": {
                    "type": "string",
                    "description": "Updated title of the list"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "List is successfully updated"
                    },
                    "model": {
                      "type": "object"
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "200",
                      "message": "List is successfully updated"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "id cannot be blank."
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "id cannot be blank."
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "List Methods"
        ]
      }
    }
  }
}
````

